   Description

Hikou no mizu is a flexible platform-based fighting game licensed under GNU GPL v3.
It's developed using
-SDL for windowing & event handling.
    -SDL_Image for loading images.
-OpenGL (1.1 +) for rendering.
-Freetype 2 for text.
-OpenAL (soft prefered) for sound.
    -libogg, libvorbis, libvorbisfile to load ogg.
-TinyXML to parse xml data.
-libpthread for threads handling.

Thanks to the contributors of all these libraries :-)

The characters have got some natural powers like water or lightning. 
All the graphics are free (various free software licences) and drawn with a vectorized style.

   Project website

Main website : http://hnm.tuxfamily.org/
Forum (FluxBB) : http://forum.hnm.tuxfamily.org/
Wiki (Dokuwiki) : http://wiki.hnm.tuxfamily.org/

   E-mail adress

duncan.deveaux@gmail.com

   Quality of this release

_Hikou no mizu 0.6_

Changelog :

************************
**** 0.1dev -> 0.6 *****
************************

    That's some kind of a jump in version numbers here, justified by the almost-playable state
    of the game right now. Here is the changelog :
    
    -Threaded Music handling
        -Fighting music
        
    -Threaded Playlist handling (+ graphics notifiers)
        -Menu playlist with epopsan's song (thanks to him)
    
    -More fighting sounds
    -Support for looping sounds : repeating step sounds
    
    -New configurations items for sound & music volumes.
    
    -Coherent GUI Art guidelines in options / menu screens...
    -Structured GUI : Sound / image on focus
    
    -Support for crouched characters / kick animations.
    -Support for hit animations.
    
    -Hikou : default kick, moving default & punch & kick, crouched default & punch & kick,
             default hit, crouched hit.
    -New Takino : default.
    
    -Notification on fight-ends : winner, choice to replay or exit to main menu
    
    -Debug mode : red squares on hits
    
    -Prettier screens
    
    TO-DO : utf8 characters management ?
            AI
            Jump animations
            ... :)


************************
**** 0.1 -> 0.1dev: ****
************************

-New animation handling

    That's the first task I worked on after 0.1 was released.
    Back then, animations used to have a fixed origin point (bottom left of each frame),
    which made lots of characters' positions impossible.
    (Eg. : If a character puts an arm left, his arm will become his left origin
    and his body will move right as a consequence).
    Now, each frame both have a content box, containing all the pixels data to be shown on screen,
    and a body box, only containing the body of the character, thus,
    the animation is fixed bottom left of the body box, and the overall image isn't fixed anymore
    (if a character puts an arm left, the arm will go left and the body won't move, as expected).

-New attacks handling

    Along with the new animations format, I also added more flexibility to attacks handling,
    one can now specify precise hit boxes for characters attacks,
    at a given time and of a given strenght (hit strength is multiplied by character's strength).
    Thus, a single attack can damage multiple times, at two different points, ...
    Configuration for attacks & animations is done in data/gfx/characters/[name]/data.xml.

-New physics

    The physics engine was completely redesigned due to a conception issue :
    it was manipulating graphics coordinates, which allowed any kind of evil collisions.
    The system is now reversed: physics objects have independant coords that only them can modify,
    graphics just match them. As a consequence, physics should be perfectly reliable now
    (at least I wasn't able to cause any unwanted collision).
    
    Also, physics object can now change their width & height safely.
    That's it for physics. You can enable the "debug" mode in the options screen to see boxes yourself.
    p.s: Characters' physics boxes are characters' body boxes. (see "New animation handling").

-New GUI / option screen

    I improved the GUI system and added new widgets. These new widgets are used in a new "options" screen,
    where you can edit the configuration in game (currently, only resolution and debug mode can be configured that way).
    There is still work to do although (Help is welcome ! ;)) : Better widgets graphics, spinner, in game players keys cfg...

-Graphics ! - Title screen background / New hikou

    This snapshot features a new Hikou.
    You can find mypaint and synfing animation files on the download repository (link to come).
    Also, a title screen has been added ! It's a nod to a well-know anime,
    the first one who writes its name in the forums wins a free beer ;).
    I'll now try to draw walking, kicking, walk-kick and walk-punch animations for Hikou, and redraw Takino as well.
    Anyway, graphics really are a sensible part of Hikou no mizu (It's the kind of project which needs lots of graphics),
    so, if you like anime drawing, I'll really appreciate any (even small) help !

-Last but not least

    -Playability adjustements (jump, gravity, arena size)
    -Better handling of different resolutions
    -I started writing documentation (eg. : draw a hnm-styled character,
      it's in french, I'll translate it into english as soon as possible though...)
